dmmp_path_array_get(3)

NAME
dmmp_path_array_get - Retrieve path pointer array.

SYNOPSIS
void dmmp_path_array_get (struct dmmp_path_group *dmmp_pg, struct dmmp_path ***dmmp_ps, uint32_t *dmmp_p_count);

ARGUMENTS

dmmp_pg
    Pointer of 'struct dmmp_path_group'. If this pointer is NULL, your program will be terminated by assert.

dmmp_ps
    Output pointer of 'struct dmmp_path' pointer array. If this pointer is NULL, your program will be terminated by assert.

dmmp_p_count
    Output pointer of uint32_t. Hold the size of 'dmmp_ps' pointer array. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
The memory of output pointer array is hold by 'struct dmmp_mpath', no need to free this memory, the resources will got freed when dmmp_mpath_array_free.

RETURN
void